
# Bugs and Glitches

These are known bugs and glitches in the original Pokémon FireRed game: code that clearly does not work as intended, or that only works in limited circumstances but has the possibility to fail or crash. Defining the `BUGFIX` and `UBFIX` preprocessor variables will fix some of these automatically. `UBFIX` will already be defined for MODERN builds.

Fixes are written in the `diff` format. If you've used Git before, this should look familiar:

```diff
 this is some code
-delete red - lines
+add green + lines
```

## Contents

<!--- TODO: Migrate from the wiki --->
- [Bug 1](#bug-1)


## Bug 1

A brief description of the bug and how to reproduce it in the vanilla game

**Fix:**

Code to edit, in which routines, or data to edit, using the above mentioned diff syntax.
